Package org.apache.ignite.cdc

## Interface CdcCacheEvent

All Known Implementing Classes:
  `StoredCacheData`

    public interface CdcCacheEvent

Notification of `CdcConsumer` about cache creation/change events.

See Also:
  `CdcConsumer`, `Ignite.createCache(String)`, `IgniteCache`, `CacheConfiguration`, `QueryEntity`

### Method Summary

All Methods Instance Methods Abstract Methods
`int` `cacheId()`
`CacheConfiguration<?,​?>` `configuration()` Note, `CacheConfiguration.getQueryEntities()` value not changed on table schema change.
`Collection<QueryEntity>` `queryEntities()` Returns current state of configured `QueryEntity`.

### Method Detail

#### cacheId

    int cacheId()

Returns:
  Cache ID.
See Also:
  `CacheView.cacheId()`

#### configuration

    CacheConfiguration<?,​?> configuration()

Note, `CacheConfiguration.getQueryEntities()` value not changed on table schema change. Current table schema can be obtained by `queryEntities()`.

Returns:
  Initial cache configuration.

#### queryEntities

    Collection<QueryEntity> queryEntities()

Returns current state of configured `QueryEntity`. `QueryEntity` can be changed by executing DDL on SQL tables. Note, `CacheConfiguration.getQueryEntities()` returns initial definition of `QueryEntity`.

Returns:
  Query entities for cache.